changeset 535:d63b9b287ae9

Define VIEW gecoses after all table construction
author HIROSE Yuuji <yuuji@gentei.org>
date Sat, 06 Apr 2019 18:50:23 +0900
parents ce6d0f04f520
children 83a9550ad564
files s4-init.sh
diffstat 1 files changed, 5 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/s4-init.sh	Sat Apr 06 18:46:10 2019 +0900
+++ b/s4-init.sh	Sat Apr 06 18:50:23 2019 +0900
@@ -88,6 +88,11 @@
 SELECT user, tbl, tblrowid, max(time) time FROM tblaccesses
 GROUP by user, tbl, tblrowid;"
 
+for f in $formdir/*def; do
+  echo -n Creating form of $f...
+  create_struct $f && echo Done || echo FAILED
+done
+
 create view gecoses "AS
 SELECT rowid,
        name,
@@ -102,9 +107,3 @@
 FROM (SELECT rowid,'user' type,name FROM user
 UNION ALL
 SELECT rowid,'group' type, gname FROM grp) a;"
-
-
-for f in $formdir/*def; do
-  echo -n Creating form of $f...
-  create_struct $f && echo Done || echo FAILED
-done

yatex.org